expoを46->49にアップグレードして対処した問題

react-native-google-mobile-ads がエラーになる。

対処としては、yarn remove react-native-google-mobile-ads && yarn add react-native-google-mobile-adsで解決した。

simulatorにdeployができない。スプラッシュスクリーンで固まってしまう。

yarn add react-native-screens

でインストールを行う。

npx expo start –dev-clientを実施後にiにてIOSシミュレータにdeploy, aにてandroid simulatorにdeployする。その後、expo start –dev-clientにてrを教えて、再読み込みを実施することでexpo startと同じようなhot deployができる。

ライブラリが古くてBuildエラーになる。

expo をupgradeしたあとは依存関係のあるライブラリを更新する必要がある。

npx expo install –fix

にて対応。